"""
 * kare kare script for calling the dbus interface
 *
 * Copyright (C) 2023-2025, KylinSoft Co., Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Liu Xiangwei <liuxiangwei@kylinos.cn>
 *
 """

from kare_agent import DockerAgentClient
import sys

client = DockerAgentClient()
method = sys.argv[1]
args = sys.argv[2:]

output = client.call_method(method, *args)

if output is not None:
    print(output)
    sys.exit(0)
else:
    sys.exit(-1)