"""
 * kare scripts for processing resource files
 *
 * Copyright (C) 2023-2025, KylinSoft Co., Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Lin Zhang <zhanglin@kylinos.cn>
 *
 """

import kare
import sys

containerType = sys.argv[1]
containerNameValue = sys.argv[2]
package_file = sys.argv[3]

rmanager = kare.ResourceManager(containerType, containerNameValue, package_file)
srv_flag = rmanager.find_desktop_files()
if srv_flag == 0 or srv_flag is None:
    rmanager.find_icon_files()
    rmanager.find_html_files()
rmanager.find_udev_files()
